summaryrefslogtreecommitdiffstats
path: root/t/no-dupes.t
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 09:19:41 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 09:19:41 +0000
commita27c8b00ebf173659f22f53ce65679e94e7dfb1b (patch)
tree02c68ec259348b63c6328896aa73265eb7b3d730 /t/no-dupes.t
parentInitial commit. (diff)
downloaddebian-keyring-a27c8b00ebf173659f22f53ce65679e94e7dfb1b.tar.xz
debian-keyring-a27c8b00ebf173659f22f53ce65679e94e7dfb1b.zip
Adding upstream version 2022.12.24.upstream/2022.12.24upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 't/no-dupes.t')
-rwxr-xr-xt/no-dupes.t23
1 files changed, 23 insertions, 0 deletions
diff --git a/t/no-dupes.t b/t/no-dupes.t
new file mode 100755
index 0000000..5f2b6a6
--- /dev/null
+++ b/t/no-dupes.t
@@ -0,0 +1,23 @@
+#!/bin/sh
+# Looks for keys that are duplicated in a keyring
+set -e
+
+find_dupes () {
+ k=$1
+ for key in $(gpg --no-options --no-auto-check-trustdb \
+ --no-default-keyring --keyring "./output/keyrings/$k" \
+ --list-keys --with-colons | grep '^pub' \
+ | cut -d: -f 5 | sort | uniq -c | sort -n \
+ | grep -v ' 1 ' | sed -e 's/^ .* //'); do
+ echo -e "$k:\t0x$key is duplicated"
+ fail=1
+ done
+}
+
+fail=0
+for keyring in debian-keyring.gpg debian-maintainers.gpg \
+ debian-nonupload.gpg; do
+ find_dupes $keyring
+done
+
+exit $fail